//+------------------------------------------------------------------+
//|                                                      Indexes.mq4 |
//+------------------------------------------------------------------+
#property indicator_separate_window
#property show_inputs
#property indicator_color1 Gray

extern string iSymbol="EURUSD";
extern string cSymbol="GBPJPY";
extern color  iColor=Gray;
extern int    iSlow=0;
extern int    iCountBars=100;

double iBuffer[];

int init()
  {
   SetIndexBuffer(0,iBuffer);
   SetIndexStyle(0,0,EMPTY,1,iColor);
   SetIndexLabel(0,iSymbol+"/"+cSymbol);
   IndicatorShortName("combination of crosses"+"("+iSlow+")");
   return(0);
  }

int start()
  {
   double ma;
   int i,limit,macount,counted_bars=IndicatorCounted();
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   limit=MathMin(1.0*iBars(iSymbol,Period()),1.0*iCountBars)-counted_bars;
   for(i=0; i<limit; i++)
    {
     ma=iMA(iSymbol,0,(iSlow+1),0,3,0,i)+iMA(cSymbol,0,(iSlow+1),0,3,0,i);
     if(ma!=0)ma/=2;
     iBuffer[i]=1-1/(ma+(ma==0));
    }
   return(0);
  }

